genomation 1.11.3
--------------
IMPROVEMENTS AND BUG FIXES
* fixed an error of data.table() function that occurs when GrangesList object contains unnamed windows 
in ScoreMatrixBin() function.
	
genomation 1.11.2
--------------
IMPROVEMENTS AND BUG FIXES
* improved the C++ function Median_c() to handle NAs 
* the following C++ functions return NAs instead of zeros if the length of the vector is smaller than the number of bins: 
	binMean(), binMedian(), binMax(), binMin(), binSum()

NEW FUNCTIONS AND FEATURES
C++ functions that compute a desired value from a vector and handle NAs:
	- Mean_c() - computes a mean value, 
	- Max_c() - computes a maximum values,
	- Min_c() - computes a minumum values,
	- Sum_c() - computes a sum value.

genomation 1.11.1
--------------
IMPROVEMENTS AND BUG FIXES
* bug fix relating to ScorematrixBin that returns all 1's when is.noCovNA=T
	(https://github.com/BIMSBbioinfo/genomation/issues/168)
* xcoords argument for heatMatrix and multiHeatMatrix now can take character vectors. 
The character vectors will label the x-axis of heatmaps. Examples: xcoords=c("-2kb","0","2kb")

genomation 1.9.7
--------------
IMPROVEMENTS AND BUG FIXES
* bug fix relating to calculation of the last bin in scoreMatrixBin function for bin.op = "max"
	(https://github.com/BIMSBbioinfo/genomation/issues/166)
Implemented by Bozena Mika-Gospodorz.

genomation 1.9.6
--------------
IMPROVEMENTS AND BUG FIXES
* bug fix relating to calculation of the last bin in scoreMatrixBin function
	(https://github.com/BIMSBbioinfo/genomation/issues/166)
Implemented by Bozena Mika-Gospodorz.

genomation 1.9.5
--------------
NEW FUNCTIONS AND FEATURES
  * enrichmentMatrix() function computes an enrichment of IP sample over IgG or input DNA control sample
     (issue: https://github.com/BIMSBbioinfo/genomation/issues/138)

IMPROVEMENTS AND BUG FIXES
* removed a requirement of having a 'chr' string in chromosome names in checkBedValidity() function
	(issue: https://github.com/BIMSBbioinfo/genomation/issues/160)
Implemented by Bozena Mika-Gospodorz.

genomation 1.9.4
--------------
NEW FUNCTIONS AND FEATURES
* C++ functions that create a matrix storing data with desirable number of bins for each window:
	- listSliceMean() - calls the binMean() function,
	- listSliceMedian() - calls the binMedian(),
	- listSliceMax() - calls the binMax(), 
	- listSliceMin() - calls the binMin(),
	- listSliceSum() - calls the binSum().
* C++ functions that compute the value for each bin:
	- binMean() - computes a mean value,
	- binMedian() - computes a median value, 
	- binMax() - computes a maximum values,
	- binMin() - computes a minumum values,
	- binSum() - computes a sum value.
* C++ function Median_c() - computes a median value from a vector.
Implemented by Bozena Mika-Gospodorz.

genomation 1.9.3
--------------
IMPROVEMENTS AND BUG FIXES
* tests for different parameter combinations for ScoreMatrixBin


genomation 1.9.2
--------------
NEW FUNCTIONS AND FEATURES
* c() function to append a ScoreMatrix as well as a ScoreMatrixList to an existing ScoreMatrixList
   (issue: https://github.com/BIMSBbioinfo/genomation/issues/151). Implemented by Bozena Mika-Gospodorz.

IMPROVEMENTS AND BUG FIXES
* added a slot "names" to a ScoreMatrixList class
   
genomation 1.9.1
--------------
IMPROVEMENTS AND BUG FIXES
* The knitrBootstrap dependecy is removed and following issues are fixed
   - https://github.com/BIMSBbioinfo/genomation/issues/135
   - https://github.com/BIMSBbioinfo/genomation/issues/146
   - https://github.com/BIMSBbioinfo/genomation/issues/147

genomation 1.7.3
--------------
IMPROVEMENTS AND BUG FIXES
* added OS check for tests involving BigWig files. They can not be read in
  windows OS.


genomation 1.7.2
--------------
IMPROVEMENTS AND BUG FIXES
* Now we rely on Rsamtools idxStatsBam function to calculate rpm, previously it was a cpp function 
  written by alexg9010.

genomation 1.7.1
--------------
NEW FUNCTIONS AND FEATURES
* scoreMatrixBin() calculates coverage over windows that are not only
  GRanges, but also GRangesList. It's usefull for calculating transcript
  coverage of a set of exons.
* ScoreMatrix-like functions work with bigWig files
  and supplied weight.col and is.noCovNA=TRUE
  
IMPROVEMENTS AND BUG FIXES
* Added warning for rpm=TRUE and type='bigWig'
* type='auto' by default in ScoreMatrix-like functions 
* narrowPeak() and broadPeak() are 0-based by default (#144 fixed)
* Fixed error in readGeneric when reading files with numeric chromosomes (#133 fixed)
* Show warning if windows fall off target 
* Show error if windows have width 1


genomation 1.5.6
--------------
NEW FUNCTIONS AND FEATURES
* annotateWithFeatures() function added for a diversity of annotation operations
  bases on genomic interval overlap. 
* heatTargetAnnotation() returns a heatmap for percentage of genomic intervals
  overlapping with annotation features. These functions are more general than
  the old annotation functions and could be used in variety of settings.
* plotGeneAnnotation() is depracated, use heatTargetAnnotation() instead. It 
  does the same job and has more features.


genomation 1.5.5
--------------

IMPROVEMENTS AND BUG FIXES
* fixed warnings related to "[" function of ScoreMatrix and ScoreMatrixList
* fixed issue "scoreMatrixList drops names after subsetting #141"
* fixed issue "heatMeta returns a list not a matrix #142"
* fixed vignette issue, now things do not depend on knitrBootstrap #143
  
genomation 1.5.4
--------------

IMPROVEMENTS AND BUG FIXES
* If strand.aware=TRUE and the GRanges object provided to 
  ScoreMatrix/ScoreMatrixBin for windows was not sorted by coordinates, 
  then the results were distorted.
   
genomation 1.5.3
--------------

IMPROVEMENTS AND BUG FIXES
* Count bam faster in cpp. Fast retrieval of library size in c++ using
  Samtools idxstats-like code implemented by alexg9010.

genomation 1.5.2
--------------

IMPROVEMENTS AND BUG FIXES

* merged updates from BioC SVN repository:
    - elementLengths was renamed -> elementNROWS in S4Vectors 
      (new name reflects TRUE)
    - use new invertStrand() instead of GenomicAlignments:::invertRleStrand() 
    - bump version prior to creation of 3.3 branch, 
      bump version of all packages that use knitr for vignettes,
      and bump version to trigger package rebuilding now that purl()'ing issue.

genomation 1.3.5
--------------

IMPROVEMENTS AND BUG FIXES

* knitrBootstrap update

genomation 1.3.4
--------------

IMPROVEMENTS AND BUG FIXES

*  RPM is computed based on mapped reads only 
   (before it was computed on all reads).

genomation 1.3.3
--------------

IMPROVEMENTS AND BUG FIXES

*  fixed reading genomic files with numeric metadata columns
   (readTableFast converted their numeric values to positive integers)
  
genomation 1.3.2
--------------

IMPROVEMENTS AND BUG FIXES

*  strands of reads in paired-end BAM files are inferred depending on strand of 
   first alignment from the pair. It's a default setting of the strandMode argument
   in the readGAlignmentPairs function.
*  added new argument to ScoreMatrix, ScoreMatrixBin and ScoreMatrixList functions
   library.size indicating total number of aligned reads of a BAM file for
   normalization.
* removed argument stranded from ScoreMatrix, ScoreMatrixBin and 
  ScoreMatrixList functions

genomation 1.3.1
--------------

IMPROVEMENTS AND BUG FIXES

*  according to changes in behaviour of readr::read_delim() that e.g. converts "." to 0
   readTableFast() was changed

genomation 1.1.27
--------------

IMPROVEMENTS AND BUG FIXES

*  fixed extimating ylim and plotting notches in plotMeta
 
genomation 1.1.26
--------------

NEW FUNCTIONS AND FEATURES

* new function patternMatrix looks for k-mer or PWM matrix occurence
  over specified DNA sequences or windows in a given genome.
  It depends on BioString and seqPattern R packages.

genomation 1.1.25
--------------

IMPROVEMENTS AND BUG FIXES

*  faster assigning colors to the heatmap in heatMatrix and multiHeatMatrix functions
 
genomation 1.1.24
--------------

IMPROVEMENTS AND BUG FIXES

*  Fixed a bug in multiHeatMatrix that occured after version 1.1.19
   
genomation 1.1.23
--------------

IMPROVEMENTS AND BUG FIXES

*  Fixed a bug in plotMeta that occured after version 1.1.19
   
genomation 1.1.22
--------------

NEW FUNCTIONS AND FEATURES

*  New argument of multiHeatMatrix clust.matrix defines 
   which matrices are used for clustering

genomation 1.1.21
--------------

IMPROVEMENTS AND BUG FIXES

*  Improve reading paired-end alignment in score matrix functions.
   In order to avoid duplicated reads from GenomicAlignments:readGAlignmentPairs
   reads with repeated ids are removed (with assumption that reads have unique ids).

genomation 1.1.20
--------------

IMPROVEMENTS AND BUG FIXES

*  test more examples (remove \donttest{} from examples
   responsible for reading data, e.g. readBed, include into \donttest{}
   only those parts of examples that are slow, e.g. plotMeta(.,.))

genomation 1.1.19
--------------

NEW FUNCTIONS AND FEATURES

* Arithmetic, indicator and logic operations as well as subsetting work on ScoreMatrix, 
  ScoreMatrixBin and ScoreMatrixList objects. New functionality at "ScoreMatrix-class"
  and "ScoreMatrixList-class" are documented in help pages.
* Commented examples of functions are uncommented or \donttest{} is used.

genomation 1.1.18
--------------

NEW FUNCTIONS AND FEATURES

* Integration of Travis CI

genomation 1.1.17
--------------

IMPROVEMENTS AND BUG FIXES

* Bioconductor Git-SVN bridge improved rtracklayer::import() function 
  that has no more 'asRangedData' arg.

genomation 1.1.16
--------------

IMPROVEMENTS AND BUG FIXES

* issue with readBam() used in scoreMatrix() to read bam files.
  Reading paired-end reads was extremely slow, because of lines of code
  that were responsible for checking if both mates from pair are not counted twice,
  e.g. when mates map into two different windows of interest. Right now we allow it.
  Fixed bug in reading single-end reads.

genomation 1.1.15
--------------

IMPROVEMENTS AND BUG FIXES

* fix bug of plotMeta() when dispersion=NULL and smoothfun is not NULL

genomation 1.1.14
--------------

IMPROVEMENTS AND BUG FIXES

* improve checking if the ncols of matrices match in heatMeta() and plotMeta()

genomation 1.1.13
--------------

IMPROVEMENTS AND BUG FIXES

* add new argument cex.legend to plotTargetAnnotation() to specify the size of the legend.
* changed ScoreMatrixBin() to run faster when noCovNA=TRUE
* check not only for .bw but also .bigWig and .bigwig extensions of BigWig file in ScoreMatrix() and ScoreMatrixBin()

genomation 1.1.12
--------------

IMPROVEMENTS AND BUG FIXES

* gffToGRanges is now a wrapper for import from rtracklayer

genomation 1.1.11
--------------

IMPROVEMENTS AND BUG FIXES

* plotMeta function bug fixed. The error occured during plotting meta-profile when dispersion=NULL.
  Implemented by Katarzyna Wreczycka.

genomation 1.1.10
--------------

IMPROVEMENTS AND BUG FIXES

* changes in heatMatrix() and plotMeta() - dispersion, smoothfun and clustfun arguments
  changed from be default FALSE to NULL.

genomation 1.1.9
--------------

IMPROVEMENTS AND BUG FIXES

* ScoreMatrix function bug fixed. The bug occured when RleList object ("target" argument) and 
  GRanges object ("windows" argument) did not have the same chromosome ordering. In that case,
  the returned score matrix was correct but the row ordering did not correspond to the row
  ordering supplied in the windows argument.
  
  
genomation 1.1.8
--------------

IMPROVEMENTS AND BUG FIXES

* changes in the vignette, updated the AnnotationHub example, thanks to Christopher Bottoms 
  Implemented by Katarzyna Wręczycka.

genomation 1.1.7
--------------

IMPROVEMENTS AND BUG FIXES

* extended capabilities for meta-plots; added new parameters to plotMeta()
  that enable to show dispersion interval bands around 
  a central tendency (mean or median) and smoothing them. 
  Implemented by Katarzyna Wręczycka.

genomation 1.1.6
--------------

IMPROVEMENTS AND BUG FIXES

* heatMatrix() and multiHeatMatrix() can visualizate score matrix/matrices clustered
  by using not only kmeans, but custom clustering function (clustfun argument).
  Implemented by Katarzyna Wreczycka.
  
genomation 1.1.5
--------------

IMPROVEMENTS AND BUG FIXES

* changes in the vignette,explicit call to GenomicRanges::countOverlaps, thanks to Christopher Bottoms
  
genomation 1.1.4
--------------

IMPROVEMENTS AND BUG FIXES

* scoreMatrix, scoreMatrixBin and ScoreMatrixList read paired-end BAM files. 
  Paired reads are treated as fragments. Implemented by Katarzyna Wręczycka.

genomation 1.1.3
--------------

IMPROVEMENTS AND BUG FIXES

* Functions that read data from text files re-written from 
  data.table::fread() to readr::read_delim()
  and now they can read compressed files from a URL
* Changes in readBed(), readNarrowPeak(), readBroadPeak() and gffToGRanges() arguments; 
  All of them have now track.line argument that can be FALSE,
  "auto" or an integer indicating number of first lines to skip.
  The zero.based argument was added to readBed() that tells whether ranges in the bed file
  are in 0 or 1-based coordinate system.
  Implemented by Katarzyna Wręczycka.

genomation 1.1.2
--------------

IMPROVEMENTS AND BUG FIXES

* scoreMatrixList() runs in parallel by using parallel::mclapply(). Implemented by Katarzyna Wręczycka.

genomation 1.1.1
--------------
NEW FUNCTIONS AND FEATURES

* We are in BioC

IMPROVEMENTS AND BUG FIXES

* readGeneric() and all the functions that read data from text files are faster
  due to use of data.table::fread(). Implemented by Katarzyna Wręczycka	

genomation 0.99.9
--------------
IMPROVEMENTS AND BUG FIXES

* vignette built with knitrBootstrap

genomation 0.99.8
--------------

IMPROVEMENTS AND BUG FIXES

* added the Bioinformatics citation
* vignette is converted to html format
* changed tests form test_that to RUnit

genomation 0.99.0.2
--------------

IMPROVEMENTS AND BUG FIXES

* multiHeatMatrix() works correctly when common.scale=TRUE


genomation 0.99.0.1
--------------

NEW FUNCTIONS AND FEATURES

* readBed() function to read bed files in to R as GRanges objects

IMPROVEMENTS AND BUG FIXES

* typo in readGeneric,readFeatureFlank,read* functions argument "remove.unusual" is fixed


genomation 0.99
--------------


NEW FUNCTIONS AND FEATURES


* new plotting functions for visualization of ScoreMatrix and ScoreMatrixList
  multiHeatMatrix, heatMatrix, metaHeat and metaPlot

* ScoreMatrix constructor can deal with a variety of inputs, including BAM and wig



genomation 0.2.1
--------------


IMPROVEMENTS AND BUG FIXES

* scoreMatrixBin should work now correctly with modRleList objects
